package cn.com.countrygarden.bi.main.model.dmn;

import com.fasterxml.jackson.annotation.JsonFormat;

import javax.persistence.*;
import java.sql.Timestamp;
import java.util.Date;
import java.io.Serializable;

/**
 * @program: lingshi
 * @description:
 * @author: bug大神
 * @create: 2024-07-24 16:49
 **/
@Table(name = "dnm_domain_information")
public class DnmDomainInformation implements Serializable {
    private static final long serialVersionUID = -59034903838886729L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    @Column(name = "domain_name", nullable = false)
    private String domainName;

    @Column(name = "domain_coupon_number")
    private String domainCouponNumber;

    @Column(name = "owner")
    private String owner;

    @Column(name = "audit_status")
    private String auditStatus;

    @Column(name = "application_time")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Timestamp applicationTime;

    @Column(name = "agency_id")
    private Integer agencyId;

    @Column(name = "renewal_id")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Timestamp renewalId;

    @Column(name = "renewal_time")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Timestamp renewalTime;

    @Column(name = "renewal_amount")
    private Double renewalAmount;

    @Column(name = "business_model")
    private String businessModel;

    @Column(name = "department_used")
    private String departmentUsed;

    @Column(name = "registrar")
    private String registrar;

    @Column(name = "registration_time")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Timestamp registrationTime;

    @Column(name = "account_id")
    private String accountId;

    @Column(name = "auditor")
    private String auditor;

    @Column(name = "defalg")
    private String defalg;

    @Column(name = "draft_status_type_id")
    private Integer draftStatusTypeId;

    @Column(name = "cost_information_id")
    private Integer costInformationId;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getDomainName() {
        return domainName;
    }

    public void setDomainName(String domainName) {
        this.domainName = domainName;
    }

    public String getDomainCouponNumber() {
        return domainCouponNumber;
    }

    public void setDomainCouponNumber(String domainCouponNumber) {
        this.domainCouponNumber = domainCouponNumber;
    }

    public String getOwner() {
        return owner;
    }

    public void setOwner(String owner) {
        this.owner = owner;
    }

    public String getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(String auditStatus) {
        this.auditStatus = auditStatus;
    }

    public Timestamp getApplicationTime() {
        return applicationTime;
    }

    public void setApplicationTime(Timestamp applicationTime) {
        this.applicationTime = applicationTime;
    }

    public Integer getAgencyId() {
        return agencyId;
    }

    public void setAgencyId(Integer agencyId) {
        this.agencyId = agencyId;
    }

    public Timestamp getRenewalId() {
        return renewalId;
    }

    public void setRenewalId(Timestamp renewalId) {
        this.renewalId = renewalId;
    }

    public Timestamp getRenewalTime() {
        return renewalTime;
    }

    public void setRenewalTime(Timestamp renewalTime) {
        this.renewalTime = renewalTime;
    }

    public Double getRenewalAmount() {
        return renewalAmount;
    }

    public void setRenewalAmount(Double renewalAmount) {
        this.renewalAmount = renewalAmount;
    }

    public String getBusinessModel() {
        return businessModel;
    }

    public void setBusinessModel(String businessModel) {
        this.businessModel = businessModel;
    }

    public String getDepartmentUsed() {
        return departmentUsed;
    }

    public void setDepartmentUsed(String departmentUsed) {
        this.departmentUsed = departmentUsed;
    }

    public String getRegistrar() {
        return registrar;
    }

    public void setRegistrar(String registrar) {
        this.registrar = registrar;
    }

    public Timestamp getRegistrationTime() {
        return registrationTime;
    }

    public void setRegistrationTime(Timestamp registrationTime) {
        this.registrationTime = registrationTime;
    }

    public String getAccountId() {
        return accountId;
    }

    public void setAccountId(String accountId) {
        this.accountId = accountId;
    }

    public String getAuditor() {
        return auditor;
    }

    public void setAuditor(String auditor) {
        this.auditor = auditor;
    }

    public Object getDefalg() {
        return defalg;
    }

    public void setDefalg(String defalg) {
        this.defalg = defalg;
    }

    public Integer getDraftStatusTypeId() {
        return draftStatusTypeId;
    }

    public void setDraftStatusTypeId(Integer draftStatusTypeId) {
        this.draftStatusTypeId = draftStatusTypeId;
    }

    public Integer getCostInformationId() {
        return costInformationId;
    }

    public void setCostInformationId(Integer costInformationId) {
        this.costInformationId = costInformationId;
    }

    public DnmDomainInformation(Integer id, String domainName, String domainCouponNumber, String owner, String auditStatus, Timestamp applicationTime, Integer agencyId, Timestamp renewalId, Timestamp renewalTime, Double renewalAmount, String businessModel, String departmentUsed, String registrar, Timestamp registrationTime, String accountId, String auditor, String defalg, Integer draftStatusTypeId, Integer costInformationId) {
        this.id = id;
        this.domainName = domainName;
        this.domainCouponNumber = domainCouponNumber;
        this.owner = owner;
        this.auditStatus = auditStatus;
        this.applicationTime = applicationTime;
        this.agencyId = agencyId;
        this.renewalId = renewalId;
        this.renewalTime = renewalTime;
        this.renewalAmount = renewalAmount;
        this.businessModel = businessModel;
        this.departmentUsed = departmentUsed;
        this.registrar = registrar;
        this.registrationTime = registrationTime;
        this.accountId = accountId;
        this.auditor = auditor;
        this.defalg = defalg;
        this.draftStatusTypeId = draftStatusTypeId;
        this.costInformationId = costInformationId;
    }

    public DnmDomainInformation() {
    }
}

